Subject: Re: [bitcoin-dev] Introduce N testnet chains to test different block sizes

From: Jorge Timón <[email-masked]>
Date: Wed, 19 Aug 2015 20:30:31 +0200

On Wed, Aug 19, 2015 at 7:30 PM, Danny Thorpe <[email-masked]> wrote:
>>>
> I would expect any uncontroversial hardfork to be deployed in testnet3
> before it is deployed in bitcoin's main chain.
> <<
>
> Ok, glad to hear that.
>
>>>
> In any case, you can already do these tests using
> https://github.com/bitcoin/bitcoin/pull/6382
> <<
>
> I saw your post about that awhile ago, thanks for doing the work!  My
> fiddling with that end of the food chain is gated by my needing to block out
> a weekend to set up a bitcoind build environment.
>
> How do "big-block" testnet nodes running this 6382 rev recognize each other
> on the peer network? If I set up a 2MB block limit testnet node and -addnode
> another 2MB block testnet node (say, JornC's node) to it, and my node mines
> a block stuffed with 1.3MB of test txs, the other "big-block" node should
> accept my mined block, but it will be rejected / immediately orphaned by the
> rest of the testnet network because it exceeds their notion of block size
> limit, correct?

I don't have the time to use the code to write tests and simulations
myself right now but I would be really happy about someone else doing
it.
Even though they share the same port and magic numbers, each of the N
testchains in #6382 has a different genesis block, so they will reject
blocks from any other testchain from the start.
But you will likely connect the nodes directly and manually to get the
network topology you want to test anyway.
I hope this answers your questions but I'm happy to answer any other
questions you may have.